mood.test {ctest} | R Documentation

## Mood Two-Sample Test of Scale

### Description

Performs Mood's two-sample test for a difference in scale parameters.

### Usage

    mood.test(x, y, alternative = c("two.sided", "less", "greater"))

### Arguments

`x, y` | numeric vectors of data values.
`alternative` | indicates the alternative hypothesis and must be one of `"two.sided"` (default), `"greater"` or `"less"` all of which can be abbreviated.

### Details

The underlying model is that the two samples are drawn from f(x-l) and f((x-l)/s)/s, respectively, where l is a common location parameter and s is a scale parameter.

The null hypothesis is s = 1.

There are more useful tests for this problem.

### Value

A list with class `"htest"` containing the following components:

`statistic` | the value of the test statistic.
`p.value` | the p-value of the test.
`alternative` | a character string describing the alternative hypothesis.
`method` | the character string `"Mood two-sample test of scale"`.
`data.name` | a character string giving the names of the data.

### References

Conover, W. J. (1971), Practical nonparametric statistics. New York: John Wiley & Sons. Pages 234f.

### See Also

`fligner.test` for a rank-based (nonparametric) k-sample test for homogeneity of variances; `ansari.test` for another rank-based two-sample test for a difference in scale parameters; `var.test` and `bartlett.test` for parametric tests for the homogeneity in variance.

### Examples

    ## Same data as for the Ansari-Bradley test:
    ## Serum iron determination using Hyland control sera
    ramsay <- c(111, 107, 100, 99, 102, 106, 109, 108, 104, 99,
                101, 96, 97, 102, 107, 113, 116, 113, 110, 98)
    jung.parekh <- c(107, 108, 106, 98, 105, 103, 110, 105, 104,
                100, 96, 108, 103, 104, 114, 114, 113, 108, 106, 99)
    mood.test(ramsay, jung.parekh)
    ## Compare this to ansari.test(ramsay, jung.parekh)